Bug 5935 - Possible shell bug
Summary: Possible shell bug
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-14 05:23 UTC by Clay Jackson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-15 20:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Clay Jackson 1999-10-14 05:23:22 UTC
After successful (no errors reported) upgrade from RH 6.0
to RH 6.1 -

The following code:
    ECHO="/bin/echo"
    export ECHO
    IFS=`$ECHO " \t\n\c"`
    IFS_OLD="$IFS"
    IFS_TMP="$IFS"
    IFS_NEW=`$ECHO "\t\c"`
returns:
    foo: /bi: No such file or directory

Please tell me what gives!
(This code fragment is from MicroLite's BackupEdge product).

Comment 1 Alan Cox 1999-10-15 20:08:59 UTC
Shell utils 2.0 follows the standard more closely and does not do the
quoting of \ that this script seems to expect. This is correct
standards behaviour now.

The script should probably be using /usr/bin/printf


Note You need to log in before you can comment on or make changes to this bug.